from nim.game_rev import NimGameRev
from nim.view_rev import NimViewRev
from nim.player_rev import HumanNimPlayer, ComputerNimPlayer

player0 = HumanNimPlayer(input("What's your name? "))
player1 = ComputerNimPlayer("Robot")
view = NimViewRev(player0, player1)
game = NimGameRev()

view.greet()
state = game.get_initial_state()
while not game.is_over(state):
    action = view.get_action(state)
    state = game.get_next_state(state, action)
view.conclude(state)
